Skip to main content
GET
/
scoped-tokens
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/scoped-tokens \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "jti": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "scopes": [
        "<string>"
      ],
      "audience": "<string>",
      "parentJti": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "revokedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
agentId
string

Filter by issuing agent

includeExpired
boolean
default:false

Include expired tokens

Response

200 - application/json

OK

Paginated list of scoped tokens

items
object[]
required
pagination
object
required

Pagination metadata returned with list responses